Dependencies for darcs-2.8.1

library
darcs
darcs-test

Flags

NameDescriptionDefaultType
curl

Use libcurl for HTTP support.

EnabledAutomatic
http

Use the pure Haskell HTTP package for HTTP support.

EnabledAutomatic
static

Build static binary

DisabledAutomatic
terminfo

Use the terminfo package for enhanced console support.

EnabledAutomatic
threaded

Use threading and SMP support.

EnabledAutomatic
library

Build darcs library

EnabledAutomatic
executable

Build darcs executable

EnabledAutomatic
color

Use ansi color escapes.

EnabledAutomatic
mmap

Compile with mmap support.

EnabledAutomatic
hpcDisabledAutomatic
test

Build test harness

DisabledAutomatic
optimize

Build with optimizations (-O2)

EnabledAutomatic
warn-as-error

Build with warnings-as-errors

DisabledAutomatic
force-char8-encoding

Allow base 4.5 or above on Unix. base 4.4 introduces a change in the behaviour of filenames that requires API calls in base 4.5 to workaround. So base 4.4 is not supported at all.

DisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info